Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/widgets/ComplexSortSelector.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/widgets/ComplexSortSelector.java	(revision 3827)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/widgets/ComplexSortSelector.java	(revision 3828)
@@ -84,7 +84,7 @@
 	 * @param style the style
 	 */
 	public ComplexSortSelector(Composite parent, int style) {
-		super(parent, style, "complex sorter");
+		super(parent, style, "complex sorter"); //$NON-NLS-1$
 		
 		GridLayout gl = this.getLayout();
 		gl.marginWidth = gl.marginLeft = gl.marginRight = 0;
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java	(revision 3827)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java	(revision 3828)
@@ -77,10 +77,22 @@
 
 	public static String propertiesPanel; 
 
-	public static String references; 
+	public static String references;
 
-	public static String right; 
 
+
+
+
+	public static String References; 
+
+	public static String right;
+
+
+
+
+
+	public static String SelectionError; 
+
 	public static String sortingWithP0; 
 
 	public static String view; 
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages.properties	(revision 3827)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages.properties	(revision 3828)
@@ -22,8 +22,10 @@
 propertiesPanel=Properties panel
 reference=Reference
 references=References
+References=References
 right=Right context
 rightContext=Right context
+SelectionError=Selection error
 size=Size
 sort=Sort
 sorting=Sorting...
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/OpenFileDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/OpenFileDialog.java	(revision 3827)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/OpenFileDialog.java	(revision 3828)
@@ -23,30 +23,30 @@
     s = new Shell(d);
     s.setSize(400, 400);
     
-    s.setText("A MessageBox Example");
+    s.setText("A MessageBox Example"); //$NON-NLS-1$
     //         create the menu system
     Menu m = new Menu(s, SWT.BAR);
     // create a file menu and add an exit item
     final MenuItem file = new MenuItem(m, SWT.CASCADE);
-    file.setText("&File");
+    file.setText("&File"); //$NON-NLS-1$
     final Menu filemenu = new Menu(s, SWT.DROP_DOWN);
     file.setMenu(filemenu);
     final MenuItem openItem = new MenuItem(filemenu, SWT.PUSH);
-    openItem.setText("&Open\tCTRL+O");
+    openItem.setText("&Open\tCTRL+O"); //$NON-NLS-1$
     openItem.setAccelerator(SWT.CTRL + 'O');
     final MenuItem saveItem = new MenuItem(filemenu, SWT.PUSH);
-    saveItem.setText("&Save\tCTRL+S");
+    saveItem.setText("&Save\tCTRL+S"); //$NON-NLS-1$
     saveItem.setAccelerator(SWT.CTRL + 'S');
     final MenuItem separator = new MenuItem(filemenu, SWT.SEPARATOR);
     final MenuItem exitItem = new MenuItem(filemenu, SWT.PUSH);
-    exitItem.setText("E&xit");
+    exitItem.setText("E&xit"); //$NON-NLS-1$
 
     class Open implements SelectionListener {
       public void widgetSelected(SelectionEvent event) {
         FileDialog fd = new FileDialog(s, SWT.OPEN);
-        fd.setText("Open");
-        fd.setFilterPath("C:/");
-        String[] filterExt = { "*.txt", "*.doc", ".rtf", "*.*" };
+        fd.setText("Open"); //$NON-NLS-1$
+        fd.setFilterPath("C:/"); //$NON-NLS-1$
+        String[] filterExt = { "*.txt", "*.doc", ".rtf", "*.*" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
         fd.setFilterExtensions(filterExt);
         String selected = fd.open();
         System.out.println(selected);
@@ -59,9 +59,9 @@
     class Save implements SelectionListener {
       public void widgetSelected(SelectionEvent event) {
         FileDialog fd = new FileDialog(s, SWT.SAVE);
-        fd.setText("Save");
-        fd.setFilterPath("C:/");
-        String[] filterExt = { "*.txt", "*.doc", ".rtf", "*.*" };
+        fd.setText("Save"); //$NON-NLS-1$
+        fd.setFilterPath("C:/"); //$NON-NLS-1$
+        String[] filterExt = { "*.txt", "*.doc", ".rtf", "*.*" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
         fd.setFilterExtensions(filterExt);
         String selected = fd.open();
         System.out.println(selected);
@@ -77,8 +77,8 @@
       public void widgetSelected(SelectionEvent e) {
         MessageBox messageBox = new MessageBox(s, SWT.ICON_QUESTION
             | SWT.YES | SWT.NO);
-        messageBox.setMessage("Do you really want to exit?");
-        messageBox.setText("Exiting Application");
+        messageBox.setMessage("Do you really want to exit?"); //$NON-NLS-1$
+        messageBox.setText("Exiting Application"); //$NON-NLS-1$
         int response = messageBox.open();
         if (response == SWT.YES)
           System.exit(0);
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ErrorAnnotationDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ErrorAnnotationDialog.java	(revision 3827)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ErrorAnnotationDialog.java	(revision 3828)
@@ -27,11 +27,11 @@
     Button button = new Button(container, SWT.PUSH);
     button.setLayoutData(new GridData(SWT.BEGINNING, SWT.CENTER, false,
         false));
-    button.setText("Press me");
+    button.setText("Press me"); //$NON-NLS-1$
     button.addSelectionListener(new SelectionAdapter() {
       @Override
       public void widgetSelected(SelectionEvent e) {
-        System.out.println("Pressed");
+        System.out.println("Pressed"); //$NON-NLS-1$
       }
     });
 
@@ -43,7 +43,7 @@
   @Override
   protected void configureShell(Shell newShell) {
     super.configureShell(newShell);
-    newShell.setText("Selection dialog");
+    newShell.setText("Selection dialog"); //$NON-NLS-1$
   }
 
   @Override
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 3827)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 3828)
@@ -364,7 +364,7 @@
 		}
 	}
 	
-	private static String EMPTY = "";
+	private static String EMPTY = ""; //$NON-NLS-1$
 	/**
 	 * Compose display area.
 	 *
@@ -418,7 +418,7 @@
 				comparator.initialize(concordance.getCorpus());
 				
 				// add the corpus order key
-				LineComparator cComparator = new CompositeComparator("current", Arrays.asList(comparator, standardComparatorClassName[0]));
+				LineComparator cComparator = new CompositeComparator("current", Arrays.asList(comparator, standardComparatorClassName[0])); //$NON-NLS-1$
 				
 				if (viewerLeft.getTable().getSortColumn() != referenceColumn) {
 					viewerLeft.getTable().setSortColumn(null);
@@ -560,7 +560,7 @@
 				comparator.initialize(concordance.getCorpus());
 				
 				// add the corpus order key
-				LineComparator cComparator = new CompositeComparator("current", Arrays.asList(comparator, standardComparatorClassName[0]));
+				LineComparator cComparator = new CompositeComparator("current", Arrays.asList(comparator, standardComparatorClassName[0])); //$NON-NLS-1$
 				
 				if (viewerRight.getTable().getSortColumn() != leftContextColumn) {
 					viewerRight.getTable().setSortColumn(leftContextColumn);
@@ -610,7 +610,7 @@
 				comparator.initialize(concordance.getCorpus());
 				
 				// add the corpus order key
-				LineComparator cComparator = new CompositeComparator("current", Arrays.asList(comparator, standardComparatorClassName[0]));
+				LineComparator cComparator = new CompositeComparator("current", Arrays.asList(comparator, standardComparatorClassName[0])); //$NON-NLS-1$
 				
 				if (viewerRight.getTable().getSortColumn() != keywordColumn) {
 					viewerRight.getTable().setSortColumn(keywordColumn);
@@ -659,7 +659,7 @@
 				comparator.initialize(concordance.getCorpus());
 				
 				// add the corpus order key
-				LineComparator cComparator = new CompositeComparator("current", Arrays.asList(comparator, standardComparatorClassName[0]));
+				LineComparator cComparator = new CompositeComparator("current", Arrays.asList(comparator, standardComparatorClassName[0])); //$NON-NLS-1$
 				
 				if (viewerRight.getTable().getSortColumn() != rightContextColumn) {
 					viewerRight.getTable().setSortColumn(rightContextColumn);
@@ -982,7 +982,7 @@
 		viewerRight.setInput(lines);
 		viewerLeft.setInput(lines);
 		
-		navigationWidget.setInfoLineText("" + (from + 1), " - " + (to + 1) + " / " + concordance.getNLines()); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-3$
+		navigationWidget.setInfoLineText("" + (from + 1), " - " + (to + 1) + " / " + concordance.getNLines()); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ $NON-NLS-3$
 		
 		navigationWidget.setPreviousEnabled(concordance.getTopIndex() > 0);
 		navigationWidget.setFirstEnabled(concordance.getTopIndex() > 0);
@@ -1324,7 +1324,7 @@
 		deleteLineButton = new Button(navigationArea, SWT.PUSH);
 		deleteLineButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
 		deleteLineButton.setToolTipText(ConcordanceUIMessages.deleteSelectedLines);
-		deleteLineButton.setImage(IImageKeys.getImage("org.txm.concordance.rcp", "icons/concordance_line_delete.png"));
+		deleteLineButton.setImage(IImageKeys.getImage("org.txm.concordance.rcp", "icons/concordance_line_delete.png")); //$NON-NLS-1$ //$NON-NLS-2$
 		deleteLineButton.addSelectionListener(new SelectionListener() {
 			
 			@Override
@@ -1524,10 +1524,10 @@
 				if (se instanceof CQPSearchEngine) {
 					try {
 						String error = CQPSearchEngine.getCqiClient().getLastCQPError();
-						if (	error.contains("undefined") || 
-								error.contains("Illegal regular expression") || 
-								error.contains("syntax error") || 
-								error.contains("does not exist")) {
+						if (	error.contains("undefined") ||  //$NON-NLS-1$
+								error.contains("Illegal regular expression") ||  //$NON-NLS-1$
+								error.contains("syntax error") ||  //$NON-NLS-1$
+								error.contains("does not exist")) { //$NON-NLS-1$
 							if (queryWidgetInitBackground == null) queryWidgetInitBackground = queryWidget.getBackground();
 							queryWidget.setBackground(new Color(queryWidget.getDisplay(), 255, 0, 0, 30));
 						}
@@ -2003,7 +2003,7 @@
 			referenceColumn.setText(concordance.getRefViewPattern().getTitle());
 		}
 		else {
-			referenceColumn.setText("References");
+			referenceColumn.setText(ConcordanceUIMessages.References);
 		}
 	}
 	
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ViewAnnotationSelectionDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ViewAnnotationSelectionDialog.java	(revision 3827)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ViewAnnotationSelectionDialog.java	(revision 3828)
@@ -78,7 +78,7 @@
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
 		//newShell.setText(Messages.ViewPropertySelectionDialog_0);
-		newShell.setText("A VOIR");
+		newShell.setText("A VOIR"); //$NON-NLS-1$
 		newShell.setMinimumSize(200, 100);
 	}
 
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 3827)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 3828)
@@ -62,8 +62,8 @@
 		//FIXME: SJ: all "Send to" commands have a different node path schema than normal result creation since we do not know the target class in the source handler (the class string is replaced with "_link")  
 		String parametersNodePath = event.getParameter(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
 		if (parametersNodePath != null && !parametersNodePath.isEmpty()) {
-			if ("none".equals(parametersNodePath)) {
-				Log.warning("Selection error");
+			if ("none".equals(parametersNodePath)) { //$NON-NLS-1$
+				Log.warning(ConcordanceUIMessages.SelectionError);
 				return null;
 			}
 			concordance = new Concordance(parametersNodePath);
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/SendConcordanceToTIGERSearch.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/SendConcordanceToTIGERSearch.java	(revision 3827)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/SendConcordanceToTIGERSearch.java	(revision 3828)
@@ -68,26 +68,26 @@
 	@Override
 	public String createQuery(ExecutionEvent event, ISelection selection) {
 		Concordance concordance = getConcordance(event, selection);
-		if (concordance == null) return "";
+		if (concordance == null) return ""; //$NON-NLS-1$
 		
 		StructuredSelection sselection = (StructuredSelection) selection;
 		List<?> list = sselection.toList();
 		IQuery query = concordance.getQuery();
 		String engine = query.getSearchEngine().getName();
-		if ("TIGER".equals(engine)) {
+		if ("TIGER".equals(engine)) { //$NON-NLS-1$
 			return query.getQueryString(); // TODO the command must also set the current shown graph
 		}
 		else { // use the pivot word IDs
 			StringBuilder buffer = new StringBuilder();
-			buffer.append("[editionId=/");
+			buffer.append("[editionId=/"); //$NON-NLS-1$
 			for (int i = 0; i < list.size(); i++) {
 				Line line = (Line) list.get(i);
 				if (line.getMatch().size() == 0) continue; // avoid NPE later
 				
-				if (i > 0) buffer.append("|");
+				if (i > 0) buffer.append("|"); //$NON-NLS-1$
 				buffer.append(line.getKeywordIds().get(0));
 			}
-			buffer.append("/]");
+			buffer.append("/]"); //$NON-NLS-1$
 			return buffer.toString();
 		}
 	}
@@ -99,7 +99,7 @@
 		
 		IQuery query = concordance.getQuery();
 		String engine = query.getSearchEngine().getName();
-		if ("TIGER".equals(engine)) {
+		if ("TIGER".equals(engine)) { //$NON-NLS-1$
 			return concordance.getTopIndex(); // TODO the command must also set the current shown graph
 		}
 		else {
@@ -114,7 +114,7 @@
 		
 		IQuery query = concordance.getQuery();
 		String engine = query.getSearchEngine().getName();
-		if ("TIGER".equals(engine)) {
+		if ("TIGER".equals(engine)) { //$NON-NLS-1$
 			return null; // TODO the command must also set the current shown graph
 		}
 		else {
